Groovy 1.7.0

## org.codehaus.groovy.reflection.stdclasses
Class StringCachedClass

    java.lang.Object
      org.codehaus.groovy.reflection.CachedClass
          org.codehaus.groovy.reflection.stdclasses.StringCachedClass

    class StringCachedClass
    extends CachedClass

author:
  Alex.Tkachman

Constructor Summary
`StringCachedClass(ClassInfo classInfo)`

Method Summary
`Object` | `coerceArgument(Object argument)`
`boolean` | `isAssignableFrom(Class classToTransformFrom)`
`boolean` | `isDirectlyAssignable(Object argument)`

Methods inherited from class CachedClass

addNewMopMethods, coerceArgument, doCast, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isAssignableFrom, isDirectlyAssignable, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### StringCachedClass

    public StringCachedClass(ClassInfo classInfo)

Method Detail

### coerceArgument

    public Object coerceArgument(Object argument)

### isAssignableFrom

    public boolean isAssignableFrom(Class classToTransformFrom)

### isDirectlyAssignable

    public boolean isDirectlyAssignable(Object argument)

Copyright © 2003-2009 The Codehaus. All rights reserved.